Summary: Fusor Initial system configuration utility
Name: fusor-initial-setup
URL: https://github.com/fusor/fusor-initial-setup
Version: 1.1.5
Release: 1%{?dist}
Source0: %{name}-%{version}.tar.gz
License: GPLv2+
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: util-linux
Requires: fusor-installer
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: systemd
BuildArch: noarch

%description
The fusor-initial-setup utility runs after installation. It will automatically
invoke the fusor-installer upon reboot of a newly installed instance.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_datadir}/fusor-initial-setup/

cp bin/fusor-initial-setup %{buildroot}%{_bindir}/fusor-initial-setup
cp bin/fusor-initial-network-setup %{buildroot}%{_bindir}/fusor-initial-network-setup
cp bin/fusor-local-nfs-setup %{buildroot}%{_bindir}/fusor-local-nfs-setup
cp bin/foreman-discovery-image-repair.sh %{buildroot}%{_bindir}/foreman-discovery-image-repair.sh
cp bin/launch-fusor-installer %{buildroot}%{_bindir}/launch-fusor-installer
cp systemd/fusor-initial-setup-text.service %{buildroot}%{_unitdir}/fusor-initial-setup-text.service

%post
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl enable fusor-initial-setup-text.service | tee /var/log/messages
    /bin/systemctl daemon-reload | tee /var/log/messages
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable fusor-initial-setup-text.service | tee /var/log/messages
    /bin/systemctl stop fusor-initial-setup-text.service | tee /var/log/messages
fi

%postun
/bin/systemctl daemon-reload | tee /var/log/messages
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart fusor-initial-setup-text.service | tee /var/log/messages
fi


%clean
rm -fr %{buildroot}

%files
%{_bindir}/fusor-initial-setup
%{_bindir}/fusor-initial-network-setup
%{_bindir}/fusor-local-nfs-setup
%{_bindir}/launch-fusor-installer
%{_bindir}/foreman-discovery-image-repair.sh
%{_unitdir}/fusor-initial-setup-text.service

%changelog
* Wed Dec 07 2016 Jason Montleon <jmontleo@redhat.com> 1.1.5-1
- 1390202 - remove sysV directive to prevent log spam (derekwhatley@gmail.com)

* Tue Nov 01 2016 John Matthews <jwmatthews@gmail.com> 1.1.4-1
- 1390197 - Fixed typo when already ran (derekwhatley@gmail.com)

* Mon Oct 24 2016 jkim <johnkim76@gmail.com> 1.1.3-1
- 

* Mon Oct 24 2016 jkim <johnkim76@gmail.com> 1.1.2-1
- 

* Mon Oct 24 2016 jkim <johnkim76@gmail.com> 1.1.1-1
- new package built with tito

* Thu Aug 11 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.2-1
- switch to using VersionTagger

* Mon Aug 08 2016 John Matthews <jwmatthews@gmail.com> 1.0.1-5
- 1364290 - Changed RHEV to RHV. (chris@chasenc.com)

* Thu Aug 04 2016 Jason Montleon <jmontleo@redhat.com> 1.0.1-4
- 1357853 - change RHCI -> Red Hat QCI (jesusr@redhat.com)

* Wed Jul 20 2016 John Matthews <jwmatthews@gmail.com> 1.0.1-3
- Remove unnecessary restarts (jmontleo@redhat.com)

* Wed Jun 15 2016 Jason Montleon <jmontleo@redhat.com> 1.0.1-2
- Added self_hosted folder to fusor-local-nfs-setup script
  (dymurray@redhat.com)
- Added OSE registry mount point to fusor-local-nfs-setup script
  (dymurray@redhat.com)

* Tue May 17 2016 Jason Montleon <jmontleo@redhat.com> 1.0.1-1
- bump version to 1.0.0 (jmontleo@redhat.com)
- 1296307 - [RFE] Display share paths in fusor-local-nfs-setup
  (jwmatthews@gmail.com)
- 1247403 - Fixed systemctl statements to all follow the same pattern
  (dymurray@dymurray-desktop.usersys.redhat.com)
- 1238435 - failed fusor installs restart networking, named, dhcpd
  (jwmatthews@gmail.com)
- Added a script to help setup a local NFS share with firewall changes. This is
  intended to aid someone doing a proof of concept where they want to run a NFS
  share on the Satellite install. (jwmatthews@gmail.com)
- Updated link to web browser from ISO install to point to a new deployment
  when clicked. also changed name to 'Red Hat Cloud Infrastructure'
  (jwmatthews@gmail.com)
- Removed uploading of manifest (jwmatthews@gmail.com)
- Commenting out the run of fusor-initial-network as we test changes of not
  using NetworkManager (jwmatthews@gmail.com)
- Adding restart of dhcpd, we've seen this be in a failed state sometimes
  (jwmatthews@gmail.com)
- Adding a restart of "named" as a workaround (jwmatthews@gmail.com)
- Create dir for manifest in .spec (jwmatthews@gmail.com)
- Several changes to improve flow of install  - Hardcode admin password to
  'changeme'  - Restart network after fusor-installer has finished  - Upload a
  manifest to the default organization (jwmatthews@gmail.com)
- Adding a workaround of restarting the network after fusor-installer as
  finished running on firstboot (jwmatthews@gmail.com)

* Mon Apr 13 2015 John Matthews <jwmatthews@gmail.com> 0.0.20-1
- Updated to always attempt to remove the symlinks for foreman-discovery
  (jwmatthews@gmail.com)
- updated the file to include the .iso extension, and updated check for symlink
  name (jkim@localhost.localdomain)

* Mon Apr 13 2015 John Matthews <jwmatthews@gmail.com> 0.0.19-1
- Updated fusor-initial-setup to perform workaround for foreman-discovery-
  images (jwmatthews@gmail.com)

* Tue Jan 13 2015 John Matthews <jwmatthews@gmail.com> 0.0.18-1
- Updates from testing (jwmatthews@gmail.com)

* Tue Jan 13 2015 John Matthews <jwmatthews@gmail.com> 0.0.17-1
- Fix for name change of launch_fusor_installer (jwmatthews@gmail.com)

* Tue Jan 13 2015 John Matthews <jwmatthews@gmail.com> 0.0.16-1
- Adding ability to enable network and add an entry to /etc/hosts
  (jwmatthews@gmail.com)

* Sun Jan 11 2015 John Matthews <jwmatthews@gmail.com> 0.0.15-1
- Adding a hack to update /etc/hosts if hostname changed during install.
  (jwmatthews@gmail.com)

* Wed Dec 17 2014 John Matthews <jwmatthews@gmail.com> 0.0.14-1
- Update to call fusor-installer (jwmatthews@gmail.com)

* Thu Dec 11 2014 John Matthews <jwmatthews@gmail.com> 0.0.13-1
- Fix typo so we won't run katello-installer on every reboot
  (jwmatthews@gmail.com)

* Thu Dec 11 2014 John Matthews <jwmatthews@gmail.com> 0.0.12-1
- Commenting out ExecStartPost to see if it helps remove the recursive systemd
  call we've seen on firstboot (jwmatthews@gmail.com)

* Mon Dec 08 2014 John Matthews <jwmatthews@gmail.com> 0.0.11-1
- Updates from testing (jwmatthews@gmail.com)

* Mon Dec 08 2014 John Matthews <jwmatthews@gmail.com> 0.0.10-1
- Trying experiment of launching katello-installer from a gnome-terminal,
  instead of during boot process (jwmatthews@gmail.com)

* Mon Dec 08 2014 John Matthews <jwmatthews@gmail.com> 0.0.9-1
- Putting a temp change of waiting 5 mins before running katello-installer,
  thinking we may have a timing issue and need to adjust order of when fusor-
  initial-setup is kicked off (jwmatthews@gmail.com)

* Mon Dec 08 2014 John Matthews <jwmatthews@gmail.com> 0.0.8-1
- Working to get katello-installer to successfully run from systemd firstboot
  (jwmatthews@gmail.com)

* Fri Dec 05 2014 John Matthews <jwmatthews@gmail.com> 0.0.7-1
- Added a desktop shortcut for Firefox to connect to webui and Gedit to open
  katello-installer.log (jwmatthews@gmail.com)

* Fri Dec 05 2014 John Matthews <jwmatthews@gmail.com> 0.0.6-1
- Set HOME if not set, katello-installer requires this. When we run from
  systemd prior to user's logging in no HOME has been set, so we will default
  to /root if not set. (jwmatthews@gmail.com)

* Fri Dec 05 2014 John Matthews <jwmatthews@gmail.com> 0.0.5-1
- Testing disable of fusor-initial-setup after it's run once
  (jwmatthews@gmail.com)

* Fri Dec 05 2014 John Matthews <jwmatthews@gmail.com> 0.0.4-1
- Update path to katello-installer (jwmatthews@gmail.com)

* Fri Dec 05 2014 John Matthews <jwmatthews@gmail.com> 0.0.3-1
- fatal: bad revision 'fusor-initial-setup-0.0.2-1..HEAD'

* Tue Dec 02 2014 John Matthews <jwmatthews@gmail.com> 0.0.2-1
- new package built with tito

* Tue Dec 2 2014 John Matthews <jmatthews@redhat.com> - 0.0.1-1
- Initial packaging, based on Fedora's InitialSetup package
  
